(function() {
  var MotionField;

  window.MootionField = MotionField = (function() {

    function MotionField(width, height, canvasID) {
      this.width = parseFloat(width);
      this.height = parseFloat(height);
      this.canvas = $g(canvasID);
      this.canvas.size(width, height).background("white");
    }

    MotionField.prototype.mainCircle = function(radius) {
      var X, Y;
      X = parseFloat(this.width / 2);
      Y = parseFloat(this.height / 2);
      this.xCircleCenter = X;
      this.yCircleCenter = Y;
      this.radius = radius;
      return this.buildCircle(radius, X, Y);
    };

    MotionField.prototype.buildCircle = function(radius, X, Y) {
      this.canvas.add(function(context) {
        context.beginPath();
        context.arc(X, Y, radius, 0, Math.PI * 2, true);
        context.closePath();
        return context.stroke();
      });
      return this.canvas;
    };

    MotionField.prototype.draw = function(radius) {
      var angle, _results;
      this.mainCircle(radius).draw();
      this.buildCircle(radius + 40, this.width / 2, this.height / 2).draw();
      this.buildSerif().draw();
      _results = [];
      for (angle = 0; angle <= 2; angle++) {
        if (parseFloat(angle % 0.5) === 0) {
          _results.push(this.buildSerif(angle).draw());
        } else {
          _results.push(void 0);
        }
      }
      return _results;
    };

    MotionField.prototype.buildSerif = function(angle) {
      var X, Y;
      X = this.radius * Math.cos(angle) + this.xCircleCenter;
      Y = this.radius * Math.sin(angle) + this.yCircleCenter;
      this.canvas.add(function(context) {
        context.beginPath();
        context.arc(X, Y, 10, 0, Math.PI * 2, true);
        context.closePath();
        return context.stroke();
      });
      return this.canvas;
    };

    return MotionField;

  })();

}).call(this);
